Subject: Re: mlx5 driver loading failing on v4.19 / net-next / bpf-next

From: Jesper Dangaard Brouer <[email-masked]>
Date: Fri, 14 Sep 2018 08:36:18 +0200

On Thu, 13 Sep 2018 15:55:29 -0700
Alexei Starovoitov <[email-masked]> wrote:

> On Thu, Aug 30, 2018 at 1:35 AM, Tariq Toukan <[email-masked]> wrote:
> >
> >
> > On 29/08/2018 6:05 PM, Jesper Dangaard Brouer wrote:  
> >>
> >> Hi Saeed,
> >>
> >> I'm having issues loading mlx5 driver on v4.19 kernels (tested both
> >> net-next and bpf-next), while kernel v4.18 seems to work.  It happens
> >> with a Mellanox ConnectX-5 NIC (and also a CX4-Lx but I removed that
> >> from the system now).
> >>  
> >
> > Hi Jesper,
> >
> > Thanks for your report!
> >
> > We are working to analyze and debug the issue.  
> 
> looks like serious issue to me... while no news in 2 weeks.
> any update?

Mellanox took it offlist, and Sep 6th found that this is a regression
introduced by commit 269d26f47f6f ("net/mlx5: Reduce command polling
interval"), but only if CONFIG_PREEMPT is on. 

I can confirm that reverting this commit fixed the issue (and not the
firmware upgrade I also did).

I think Moshe (Cc) is responsible for this case, and I expect to soon
see a revert or alternative solution to this!?

Thanks for the kick Alexei :-)
-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer